package com.caimei365.user.controller;

import com.caimei365.user.model.ResponseJson;
import com.caimei365.user.model.dto.LoginPasswordDto;
import com.caimei365.user.model.vo.UserLoginVo;
import com.caimei365.user.service.SellerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/24
 */
@Api(tags="协销用户API")
@RestController
@RequiredArgsConstructor
@RequestMapping("/user/seller")
public class SellerApi {

    private final SellerService sellerService;

    /**
     * 协销登录(手机号，密码)
     *
     * spi旧接口：/seller/login
     *
     * @param loginPasswordDto {
     *                           mobileOrEmail 手机号
     *                           password 密码
     *                         }
     * @return UserLoginVo
     */
    @ApiOperation("协销登录(手机号，密码)")
    @PostMapping("/login")
    public ResponseJson<UserLoginVo> passwordLogin(LoginPasswordDto loginPasswordDto) {
        String mobile = loginPasswordDto.getMobileOrEmail();
        String password = loginPasswordDto.getPassword();
        String unionId = loginPasswordDto.getUnionId();
        return sellerService.passwordLogin(mobile, password, unionId);
    }
}
