package com.caimei365.user.mapper;

import com.caimei365.user.model.po.OperationPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/26
 */
@Mapper
public interface OperationMapper {
    /**
     * 根据手机号获取运营人员
     *
     * @param mobile 手机号
     * @return BaseUser
     */
    OperationPo getOperationByMobile(@Param("mobile") String mobile);
    /**
     * 根据用户ID更新运营人员openId
     * @param userId
     * @param openId
     */
    void updateOperationOpenId(@Param("userId") Integer userId, @Param("openId") String openId);
    /**
     * 根据用户ID更新运营人员unionId
     * @param userId
     * @param unionId
     */
    void updateOperationUnionId(@Param("userId") Integer userId, @Param("unionId") String unionId);

    /**
     * 邀请码登录更新运营人员信息
     * @param operationPo 运营人员信息
     */
    void updateOperationByInvitation(OperationPo operationPo);

    /**
     * 解绑更新运营人员信息
     * @param operation 运营人员信息
     */
    void updateOperationByUnbind(OperationPo operation);
}
