package com.caimei365.user.mapper;

import com.caimei365.user.model.dto.ShopUpdateDto;
import com.caimei365.user.model.po.ShopCertPo;
import com.caimei365.user.model.po.UserPo;
import com.caimei365.user.model.vo.ShopVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/3/16
 */
@Mapper
public interface ShopMapper {
    /**
     * 根据Id查询供应商
     * @param shopId    供应商Id
     * @return ShopVo
     */
    ShopVo getShopById(Integer shopId);

    /**
     * 修改供应商信息保存用户
     * @param user  用户数据
     */
    void updateShopUserByUpdateInfo(UserPo user);

    /**
     * 修改供应商信息保存供应商
     * @param shop  供应商数据
     */
    void updateShopByUpdateInfo(ShopUpdateDto shop);

    /**
     * 根据供应商Id和资质证书类型Id获取供应商资质证书
     * @param shopId            供应商Id
     * @param shopCertTypeId    资质证书类型Id
     * @return String
     */
    List<String> getShopCert(Integer shopId, Integer shopCertTypeId);

    /**
     * 根据供应商Id删除供应商资质证书数据
     * @param shopId    供应商Id
     */
    void deleteShopCertByShopId(Integer shopId);

    /**
     * 保存供应商资质证书
     * @param shopCert  资质证书数据
     */
    void insertShopCert(ShopCertPo shopCert);
}
