package com.caimei365.user.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/8
 */
@Data
public class OperationPo implements Serializable {
    /**
     * 运营人员Id
     */
    private Integer id;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 用户类型，1:机构类型，2供应商类型
     */
    private Integer userType;
    /**
     * 组织Id
     */
    private Integer organizeId;
    /**
     * 会所ID：隶属于哪个会所的运营人员
     */
    private Integer clubId;
    /**
     * 供应商ID：隶属于哪个供应商的运营人员[用户类型为供应商时有效数据]
     */
    private Integer shopId;
    /**
     * 手机号码
     */
    private String mobile;
    /**
     * 微信昵称
     */
    private String nickName;
    /**
     * 微信头像(headimgurl)
     */
    private String avatarUrl;
    /**
     * 联系人，对应用户的userName
     */
    private String linkName;
    /**
     * 1未绑定，2已绑定
     */
    private Integer status;
    /**
     * token
     */
    private String token;
    /**
     * 微信unionId
     */
    private String unionId;
    /**
     * 微信openId
     */
    private String openId;
    /**
     * 微信openId(Pc)
     */
    private String pcOpenId;
    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    /**
     * 绑定时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bindTime;
    /**
     * 用户状态，0 有效  其它无效
     */
    private Integer delFlag;
}
//  `id` int(11) NOT NULL AUTO_INCREMENT,
//  `userOrganizeID` int(11) DEFAULT NULL COMMENT '用户组织ID,具体对应cm_mall_organize表ID【采美小程序为空或为2】',
//  `userType` int(11) DEFAULT NULL COMMENT '用户类型，1:机构类型，2供应商类型',
//  `userID` int(11) DEFAULT NULL COMMENT '用户ID：隶属于哪个用户的运营人员',
//  `clubID` int(11) DEFAULT NULL COMMENT '机构ID：隶属于哪个会所的运营人员[用户类型为机构时有效数据]',
//  `shopID` int(11) DEFAULT NULL COMMENT '供应商ID：隶属于哪个供应商的运营人员[用户类型为供应商时有效数据]',
//  `account` varchar(20) DEFAULT NULL COMMENT '运营人账号名【产品预留字段暂时不启用】',
//  `mobile` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '手机号码',
//  `linkName` varchar(50) DEFAULT NULL COMMENT '联系人',
//  `invitationCode` varchar(50) DEFAULT NULL COMMENT '邀请码',
//  `status` char(2) DEFAULT NULL COMMENT '1未绑定，2已绑定',
//  `nickName` varchar(32) DEFAULT NULL COMMENT '微信昵称',
//  `headimgurl` varchar(256) DEFAULT NULL COMMENT '头像',
//  `unionId` varchar(32) DEFAULT NULL COMMENT '微信unionId',
//  `openid` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '小程序openid',
//  `crmOpenid` varchar(32) DEFAULT NULL COMMENT 'crm公众openid',
//  `pcOpenid` varchar(32) DEFAULT NULL COMMENT 'www商城openid',
//  `invitationCodeTime` datetime DEFAULT NULL COMMENT '邀请码生成时间（此时间起48小时有效）',
//  `bindTime` datetime DEFAULT NULL COMMENT '绑定时间',
//  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
//  `addTime` datetime DEFAULT NULL COMMENT '添加时间',
//  `delFlag` char(32) DEFAULT '0' COMMENT ' 0 有效  其它无效',
